package yangtz.cs.liu.campus.service.time;

import com.baomidou.mybatisplus.extension.service.IService;
import yangtz.cs.liu.campus.domain.time.SchoolTimeDetail;
import yangtz.cs.liu.campus.vo.time.SchoolTimeDetailVO;

import java.util.List;

public interface ISchoolTimeDetailService extends IService<SchoolTimeDetail> {

    List<SchoolTimeDetailVO> selectSchoolTimeDetailList(SchoolTimeDetail schoolTimeDetail);

    Integer selectTotalCount(Long schoolTimeId);

    Integer selectAmCount(Long schoolTimeId);

    Integer selectPmCount(Long schoolTimeId);
}
